CharTerm (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.sa

## Class CharTerm

- java.lang.Object
- - org.apache.cassandra.index.sasi.sa.Term<java.nio.CharBuffer>
  - - org.apache.cassandra.index.sasi.sa.CharTerm

-     public class CharTerm
      extends Term<java.nio.CharBuffer>

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.index.sasi.sa.Term

      `position, tokens, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharTerm(int position, java.nio.CharBuffer value, TokenTreeBuilder tokens)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(AbstractType<?> comparator, Term other)`
    `java.nio.ByteBuffer` | `getSuffix(int start)`
    `java.nio.ByteBuffer` | `getTerm()`
    `int` | `length()`

    - ### Methods inherited from class org.apache.cassandra.index.sasi.sa.Term

      `getPosition, getTokens`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CharTerm

          public CharTerm(int position,
                          java.nio.CharBuffer value,
                          TokenTreeBuilder tokens)

  - ### Method Detail

    - #### getTerm

          public java.nio.ByteBuffer getTerm()

      Specified by:
        `getTerm` in class `Term<java.nio.CharBuffer>`

    - #### getSuffix

          public java.nio.ByteBuffer getSuffix(int start)

      Specified by:
        `getSuffix` in class `Term<java.nio.CharBuffer>`

    - #### compareTo

          public int compareTo(AbstractType<?> comparator,
                               Term other)

      Specified by:
        `compareTo` in class `Term<java.nio.CharBuffer>`

    - #### length

          public int length()

      Specified by:
        `length` in class `Term<java.nio.CharBuffer>`

Copyright © 2018 The Apache Software Foundation